org.fife.ui.rsyntaxtextarea

## Interface TokenTypes

All Known Subinterfaces:
  Token

All Known Implementing Classes:
  SyntaxScheme, TokenImpl

    public interface TokenTypes

All token types supported by RSyntaxTextArea.

Note that all valid token types are >= 0, so extensions of the TokenMaker class are free to internally use all ints < 0 ONLY for "end-of-line" style markers; they are ignored by painting implementations.

Version:
  1.0
Author:
  Robert Futrell

### Field Summary

Fields
`static int` `ANNOTATION`
`static int` `COMMENT_DOCUMENTATION`
`static int` `COMMENT_EOL`
`static int` `COMMENT_KEYWORD`
`static int` `COMMENT_MARKUP`
`static int` `COMMENT_MULTILINE`
`static int` `DATA_TYPE`
`static int` `DEFAULT_NUM_TOKEN_TYPES`
`static int` `ERROR_CHAR`
`static int` `ERROR_IDENTIFIER`
`static int` `ERROR_NUMBER_FORMAT`
`static int` `ERROR_STRING_DOUBLE`
`static int` `FUNCTION`
`static int` `IDENTIFIER`
`static int` `LITERAL_BACKQUOTE`
`static int` `LITERAL_BOOLEAN`
`static int` `LITERAL_CHAR`
`static int` `LITERAL_NUMBER_DECIMAL_INT`
`static int` `LITERAL_NUMBER_FLOAT`
`static int` `LITERAL_NUMBER_HEXADECIMAL`
`static int` `LITERAL_STRING_DOUBLE_QUOTE`
`static int` `MARKUP_CDATA`
`static int` `MARKUP_CDATA_DELIMITER`
`static int` `MARKUP_COMMENT`
`static int` `MARKUP_DTD`
`static int` `MARKUP_ENTITY_REFERENCE`
`static int` `MARKUP_PROCESSING_INSTRUCTION`
`static int` `MARKUP_TAG_ATTRIBUTE`
`static int` `MARKUP_TAG_ATTRIBUTE_VALUE`
`static int` `MARKUP_TAG_DELIMITER`
`static int` `MARKUP_TAG_NAME`
`static int` `NULL` Tokens of type `NULL` mark the end of lines with no multi-line token at the end (such as a block comment in C++).
`static int` `OPERATOR`
`static int` `PREPROCESSOR`
`static int` `REGEX`
`static int` `RESERVED_WORD`
`static int` `RESERVED_WORD_2`
`static int` `SEPARATOR`
`static int` `VARIABLE`
`static int` `WHITESPACE`

### Field Detail

#### NULL

    static final int NULL

Tokens of type `NULL` mark the end of lines with no multi-line token at the end (such as a block comment in C++).

See Also:
  Constant Field Values

#### COMMENT_EOL

    static final int COMMENT_EOL

See Also:
  Constant Field Values

#### COMMENT_MULTILINE

    static final int COMMENT_MULTILINE

See Also:
  Constant Field Values

#### COMMENT_DOCUMENTATION

    static final int COMMENT_DOCUMENTATION

See Also:
  Constant Field Values

#### COMMENT_KEYWORD

    static final int COMMENT_KEYWORD

See Also:
  Constant Field Values

#### COMMENT_MARKUP

    static final int COMMENT_MARKUP

See Also:
  Constant Field Values

#### RESERVED_WORD

    static final int RESERVED_WORD

See Also:
  Constant Field Values

#### RESERVED_WORD_2

    static final int RESERVED_WORD_2

See Also:
  Constant Field Values

#### FUNCTION

    static final int FUNCTION

See Also:
  Constant Field Values

#### LITERAL_BOOLEAN

    static final int LITERAL_BOOLEAN

See Also:
  Constant Field Values

#### LITERAL_NUMBER_DECIMAL_INT

    static final int LITERAL_NUMBER_DECIMAL_INT

See Also:
  Constant Field Values

#### LITERAL_NUMBER_FLOAT

    static final int LITERAL_NUMBER_FLOAT

See Also:
  Constant Field Values

#### LITERAL_NUMBER_HEXADECIMAL

    static final int LITERAL_NUMBER_HEXADECIMAL

See Also:
  Constant Field Values

#### LITERAL_STRING_DOUBLE_QUOTE

    static final int LITERAL_STRING_DOUBLE_QUOTE

See Also:
  Constant Field Values

#### LITERAL_CHAR

    static final int LITERAL_CHAR

See Also:
  Constant Field Values

#### LITERAL_BACKQUOTE

    static final int LITERAL_BACKQUOTE

See Also:
  Constant Field Values

#### DATA_TYPE

    static final int DATA_TYPE

See Also:
  Constant Field Values

#### VARIABLE

    static final int VARIABLE

See Also:
  Constant Field Values

#### REGEX

    static final int REGEX

See Also:
  Constant Field Values

#### ANNOTATION

    static final int ANNOTATION

See Also:
  Constant Field Values

#### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

#### WHITESPACE

    static final int WHITESPACE

See Also:
  Constant Field Values

#### SEPARATOR

    static final int SEPARATOR

See Also:
  Constant Field Values

#### OPERATOR

    static final int OPERATOR

See Also:
  Constant Field Values

#### PREPROCESSOR

    static final int PREPROCESSOR

See Also:
  Constant Field Values

#### MARKUP_TAG_DELIMITER

    static final int MARKUP_TAG_DELIMITER

See Also:
  Constant Field Values

#### MARKUP_TAG_NAME

    static final int MARKUP_TAG_NAME

See Also:
  Constant Field Values

#### MARKUP_TAG_ATTRIBUTE

    static final int MARKUP_TAG_ATTRIBUTE

See Also:
  Constant Field Values

#### MARKUP_TAG_ATTRIBUTE_VALUE

    static final int MARKUP_TAG_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

#### MARKUP_COMMENT

    static final int MARKUP_COMMENT

See Also:
  Constant Field Values

#### MARKUP_DTD

    static final int MARKUP_DTD

See Also:
  Constant Field Values

#### MARKUP_PROCESSING_INSTRUCTION

    static final int MARKUP_PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

#### MARKUP_CDATA_DELIMITER

    static final int MARKUP_CDATA_DELIMITER

See Also:
  Constant Field Values

#### MARKUP_CDATA

    static final int MARKUP_CDATA

See Also:
  Constant Field Values

#### MARKUP_ENTITY_REFERENCE

    static final int MARKUP_ENTITY_REFERENCE

See Also:
  Constant Field Values

#### ERROR_IDENTIFIER

    static final int ERROR_IDENTIFIER

See Also:
  Constant Field Values

#### ERROR_NUMBER_FORMAT

    static final int ERROR_NUMBER_FORMAT

See Also:
  Constant Field Values

#### ERROR_STRING_DOUBLE

    static final int ERROR_STRING_DOUBLE

See Also:
  Constant Field Values

#### ERROR_CHAR

    static final int ERROR_CHAR

See Also:
  Constant Field Values

#### DEFAULT_NUM_TOKEN_TYPES

    static final int DEFAULT_NUM_TOKEN_TYPES

See Also:
  Constant Field Values